> ## Documentation Index
> Fetch the complete documentation index at: https://docs.healvi-wallet.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a company by ID



## OpenAPI

````yaml openapi/openapi.json get /api/companies/{id}
openapi: 3.0.0
info:
  title: Healvi Wallet API
  description: API for managing Healvi Wallet
  version: 1.0.0
servers: []
security: []
tags:
  - name: Companies
    description: Companies
  - name: Customers
    description: Customers
  - name: Number Ranges
    description: Number Ranges
  - name: Signup Pages
    description: Signup Pages
paths:
  /api/companies/{id}:
    get:
      tags:
        - Companies
      summary: Fetch a company by ID
      operationId: 50805cb17562834cb99c0477437c5221
      parameters:
        - name: id
          in: path
          description: Company ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Company fetched successfully
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      id:
                        type: integer
                      user_id:
                        type: integer
                      name:
                        type: string
                      email:
                        type: string
                      latitude:
                        type: number
                      longitude:
                        type: number
                    type: object
                type: object
        '404':
          description: Company not found
      security:
        - sanctum: []
components:
  securitySchemes:
    sanctum:
      type: http
      description: Enter your JWT token in the format 'Bearer <token>'
      bearerFormat: JWT
      scheme: bearer

````